I went to sammobile.com and found 2 firmware files for the sgh-i317. One says its 4.1.2 (which from what I understand wont work when unlocking, I need 4.1.1) The other file doesnt have a version, but the description is:


Model: SGH-I317

Country: USA (AT&T)

Version:

Changelist: N/A

Build date: Thu, 01 Jan 1970 00:00:00 +0000

Product Code: ATT

PDA: I317UCALJ2

CSC: I317ATTALJ2

MODEM: I317UCALJ2


Is this what I want?